Upstream information

CVE-2016-1602 at MITRE

Description

A code injection in the supportconfig data collection tool in supportutils in SUSE Linux Enterprise Server 12 and 12-SP1 and SUSE Linux Enterprise Desktop 12 and 12-SP1 could be used by local attackers to execute code as the user running supportconfig (usually root).

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.15 6.89
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 980670 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • supportutils >= 3.0-82.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-897
SUSE Linux Enterprise Desktop 12 SP1
  • supportutils >= 3.0-82.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-897
SUSE Linux Enterprise Desktop 12 SP2
  • supportutils >= 3.0-85.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA supportutils
SUSE Linux Enterprise Server 11 SP4
  • supportutils >= 1.20-121.1
Patchnames:
slessp4-supportutils-12602
SUSE Linux Enterprise Server 12
  • supportutils >= 3.0-82.1
Patchnames:
SUSE-SLE-SERVER-12-2016-897
SUSE Linux Enterprise Server 12 SP1
  • supportutils >= 3.0-82.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-897
SUSE Linux Enterprise Server 12 SP2
  • supportutils >= 3.0-85.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA supportutils
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • supportutils >= 3.0-85.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA supportutils